import os

HOME_PATH = os.getenv("HOME")
DISCOVER_CREDS_FOLDER_PATH = HOME_PATH + "/.discover/credentials"

# endpoints
CONSTANTS_ENDPOINT = "/constants"
REPOSITORIES_ENDPOINT = "/repositories"
REPOSITORY_PACKAGE_ENDPOINT = REPOSITORIES_ENDPOINT + "/{}/packages"

# statuscodes
OK = 200
CREATED = 201

BULK_FILES_INDEX = "files"
BULK_SAMPLE_REPO_INDEX = "gct_metadata"
BULK_DATA_INDEX = "gct_data"

SC_FILES_INDEX = "files"
SC_SAMPLE_REPO_INDEX = "h5ad_metadata"
SC_DATA_INDEX = "h5ad_data"

# repository
CREATE_REPOSITORY_PAYLOAD = {
    "data": {
        "type": "repositories",
        "attributes": {
            "frontend_info": {
                "description": "<DESCRIPTION>",
                "display_name": "<REPO_DISPLAY_NAME>",
                "explorer_enabled": True,
                "initials": "<INITIALS>",
            },
            "indexes": {
                "csv": "<REPO_NAME>_csv",
                "files": "<REPO_NAME>_files",
                "gct_data": "<REPO_NAME>_gct_data",
                "gct_metadata": "<REPO_NAME>_gct_metadata",
                "h5ad_data": "<REPO_NAME>_h5ad_data",
                "h5ad_metadata": "<REPO_NAME>_h5ad_metadata",
                "ipynb": "<REPO_NAME>_ipynb",
                "json": "<REPO_NAME>_json",
            },
            "repo_name": "<REPO_NAME>",
        },
    }
}

# package
CREATE_PACKAGE_PAYLOAD = {
    "data": {"type": "packages", "attributes": {"package_name": "<PACKAGE_NAME>"}}
}
